# Summary

[Introduction](introduction.md)
[Get Started](get_started.md)
[Options](options.md)
[Element Parameters](element_parameters.md)
[Server-Side Rendering](server_side_rendering.md)
[Encoding and Decoding Data](codecs.md)
[Changelog](changelog.md)
[Functions](functions.md)

# Storage

- [use_local_storage](storage/use_local_storage.md)
- [use_session_storage](storage/use_session_storage.md)
- [use_storage](storage/use_storage.md)

# Elements

- [use_active_element](elements/use_active_element.md)
- [use_document](elements/use_document.md)
- [use_document_visibility](elements/use_document_visibility.md)
- [use_draggable](elements/use_draggable.md)
- [use_drop_zone](elements/use_drop_zone.md)
- [use_element_bounding](elements/use_element_bounding.md)
- [use_element_size](elements/use_element_size.md)
- [use_element_visibility](elements/use_element_visibility.md)
- [use_intersection_observer](elements/use_intersection_observer.md)
- [use_mouse_in_element](elements/use_mouse_in_element.md)
- [use_mutation_observer](elements/use_mutation_observer.md)
- [use_resize_observer](elements/use_resize_observer.md)
- [use_window](elements/use_window.md)
- [use_window_focus](elements/use_window_focus.md)
- [use_window_scroll](elements/use_window_scroll.md)
- [use_window_size](elements/use_window_size.md)

# Browser

- [use_breakpoints](browser/use_breakpoints.md)
- [use_broadcast_channel](browser/use_broadcast_channel.md)
- [use_clipboard](browser/use_clipboard.md)
- [use_color_mode](browser/use_color_mode.md)
- [use_cookie](browser/use_cookie.md)
- [use_css_var](browser/use_css_var.md)
- [use_display_media](browser/use_display_media.md)
- [use_event_listener](browser/use_event_listener.md)
- [use_favicon](browser/use_favicon.md)
- [use_media_query](browser/use_media_query.md)
- [use_permission](browser/use_permission.md)
- [use_preferred_contrast](browser/use_preferred_contrast.md)
- [use_preferred_dark](browser/use_preferred_dark.md)
- [use_prefers_reduced_motion](browser/use_prefers_reduced_motion.md)
- [use_service_worker](browser/use_service_worker.md)
- [use_textarea_autosize](browser/use_textarea_autosize.md)
- [use_user_media](browser/use_user_media.md)
- [use_web_lock](browser/use_web_lock.md)
- [use_web_notification](browser/use_web_notification.md)

# Sensors

- [on_click_outside](sensors/on_click_outside.md)
- [use_device_orientation](sensors/use_device_orientation.md)
- [use_device_pixel_ratio](sensors/use_device_pixel_ratio.md)
- [use_element_hover](sensors/use_element_hover.md)
- [use_geolocation](sensors/use_geolocation.md)
- [use_idle](sensors/use_idle.md)
- [use_infinite_scroll](sensors/use_infinite_scroll.md)
- [use_mouse](sensors/use_mouse.md)
- [use_scroll](sensors/use_scroll.md)

# Network

- [use_event_source](network/use_event_source.md)
- [use_websocket](network/use_websocket.md)

<!-- - [use_webtransport](network/use_webtransport.md) -->

# Animation

- [use_interval](animation/use_interval.md)
- [use_interval_fn](animation/use_interval_fn.md)
- [use_raf_fn](animation/use_raf_fn.md)
- [use_timeout_fn](animation/use_timeout_fn.md)
- [use_timestamp](animation/use_timestamp.md)

# Watch

- [watch_debounced](watch/watch_debounced.md)
- [watch_pausable](watch/watch_pausable.md)
- [watch_throttled](watch/watch_throttled.md)
- [watch_with_options](watch/watch_with_options.md)
- [whenever](watch/whenever.md)

# Reactivity

- [signal_debounced](reactivity/signal_debounced.md)
- [signal_throttled](reactivity/signal_throttled.md)
- [sync_signal](reactivity/sync_signal.md)

# Iterable

- [use_sorted](iterable/use_sorted.md)

# Utilities

- [header](utilities/header.md)
- [is_err](utilities/is_err.md)
- [is_none](utilities/is_none.md)
- [is_ok](utilities/is_ok.md)
- [is_some](utilities/is_some.md)
- [use_cycle_list](utilities/use_cycle_list.md)
- [use_debounce_fn](utilities/use_debounce_fn.md)
- [use_derive_signal!](utilities/use_derive_signal.md)
- [use_supported](utilities/use_supported.md)
- [use_throttle_fn](utilities/use_throttle_fn.md)
- [use_to_string](utilities/use_to_string.md)
- [use_toggle](utilities/use_toggle.md)

# Intl

- [use_intl_number_format](intl/use_intl_number_format.md)
- [use_locale](intl/use_locale.md)
- [use_locales](intl/use_locales.md)

# @Math

- [use_abs](math/use_abs.md)
- [use_and](math/use_and.md)
- [use_ceil](math/use_ceil.md)
- [use_floor](math/use_floor.md)
- [use_max](math/use_max.md)
- [use_min](math/use_min.md)
- [use_not](math/use_not.md)
- [use_or](math/use_or.md)
- [use_round](math/use_round.md)
